package com.pms.ocp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pms.ocp.model.dto.ApiBaseDto;
import com.pms.ocp.model.dto.OcpGroupBaseDto;
import com.pms.ocp.model.entity.OcpApiBase;
import com.pms.ocp.model.entity.OcpApiGroup;
import com.pms.ocp.model.vo.OcpApiBaseVo;
import com.pms.ocp.model.vo.WholeLinkTreeVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface OcpApiGroupMapper extends BaseMapper<OcpApiGroup> {

    List<OcpApiGroup> selectTreeList(String apiGroupCompanyCode);

    List<OcpApiGroup> apiBaseTreeOther(String apiGroupCompanyCode, String apiGroupPcode,Integer apiGroupPromotionType);

    List<OcpApiBase> selectByPcode(String code);

    List<OcpApiBaseVo> selectPageLists(ApiBaseDto apiBaseReq);

    List<OcpGroupBaseDto> apiTree(String apiGroupCompanyCode, String apiGroupPcode, Integer apiGroupPromotionType,String apiPromotion);

    List<OcpGroupBaseDto> selectBase(String apiGroupCompanyCode, String apiGroupPcode,String apiPromotion);

//    List<WholeLinkTreeVo> queryApiTreeData1();
}
